<?php
  //***************************************************************************
  //Aplicacin IESWEB
  //Desarrollada por Francisco Jos Molina Robles
  //Versin inicial 0.1 (C) 2002
  //***************************************************************************
  //This program is free software; you can redistribute it and/or modify it
  //under the terms of the GNU General Public License as published by the Free
  //Software Foundation; either version 2 of the License, or (at your option)
  //any later version.
  //This program is distributed in the hope that it will be useful, but
  //WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  //or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  //for more details.
  //You should have received a copy of the GNU General Public License along
  //with this program; if not, write to the Free Software Foundation, Inc.,
  //51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  //***************************************************************************
  //Tablas a las que accede esta pgina:
  //DATOS.Estudios.
  //***************************************************************************
  //Aqu se almacenan todas las constantes necesarias para las pginas dinmicas:
  //*Constantes generales:
  //Ubicacin de las pginas del servidor:
  $RAIZ_APACHE=$_SERVER["DOCUMENT_ROOT"];
  //Nombres de los meses del ao:
  $MESES_NOMBRE=array('Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto',
                      'Septiembre','Octubre','Noviembre','Diciembre');
  //Das que tiene cada mes:
  $MESES_DIAS=array('31','28','31','30','31','30','31','31','30','31','30','31');
  //Nombre o direccin del equipo que tiene la base de datos MySQL:
  $EQUIPO_BDD="localhost";
  //Cuenta de usuario para acceder a la base de datos:
  $USUARIO_BDD="roow";
  //Contrasea de acceso de la cuenta de usuario a la base de datos:
  $CONTRASENA_BDD="88novita";
  //Nombre, versin y sistema operativo del navegador que accede a esta aplicacin:
  list($NAVEGADOR_NOMBRE,$NAVEGADOR_VERSION,$NAVEGADOR_OS)=explode(";",$_SERVER["HTTP_USER_AGENT"],3);
  $NAVEGADOR_NOMBRE=substr($NAVEGADOR_NOMBRE,0,strpos($NAVEGADOR_NOMBRE," ("));
  if(strpos($NAVEGADOR_OS,")")!="") $NAVEGADOR_OS=substr($NAVEGADOR_OS,0,strpos($NAVEGADOR_OS,")"));
  if(strpos($NAVEGADOR_OS,";")!="") $NAVEGADOR_OS=substr($NAVEGADOR_OS,0,strpos($NAVEGADOR_OS,";"));
  //Nombre DNS del equipo servidor web:
  //$SERVIDOR_WEB="www.ies-azarquiel.es"; //En el servidor real
  $SERVIDOR_WEB="localhost"; //En el equipo de prueba y desarrollo
  //$SERVIDOR_WEB="10.0.2.1";  //Pruebas desde otro equipo
  //Tiempo de expiracin en minutos del inicio de sesin en las pginas privadas:
  $COOKIE_EXPIRA=120;

  //*Constantes relacionadas con la organizacin:
  //Nombre de la organizacin:
  $ORGANIZACION="I.E.S. Azarquiel";
  //Direccin de la organizacin:
  $ORGANIZACION_DIRECCION="Paseo de San Eugenio, 21";
  //Cdigo postal de la organizacin:
  $ORGANIZACION_CP="45003";
  //Localidad de la organizacin:
  $ORGANIZACION_LOCALIDAD="Toledo";
  //Telfono de la organizacin:
  $ORGANIZACION_TELEFONO="925284043";
  //FAX de la organizacin:
  $ORGANIZACION_FAX="925284784";
  //Dominio de la organizacin:
  $ORGANIZACION_DOMINIO="ies-azarquiel.es";
  //Correo electrnico de la organizacin:
  $ORGANIZACION_CORREO="45003875_ies@edu.jccm.es";
  //Nombre del administrador principal de los servicios:
  $ADMINISTRADOR="";
  //Correo electrnico del administrador del servicio:
  $ADMINISTRADOR_CORREO="fjmrobles@hotmail.com";
  //Ao de puesta en marcha del programa de gestin escolar IES2000:
  $ANNO_FUNCIONAMIENTO_IES2000=1997;
  //Ao de puesta en marcha del programa de gestin escolar DELPHOS:
  $ANNO_FUNCIONAMIENTO_DELPHOS=2005;
  
  //*Constantes relacionadas con los servicios ofrecidos:
  //(Usar los valores "On" y "Off" respetando maysculas y minsculas)
  //Todos los servicios de la pgina (se usa para mantenimiento):
  $SERVICIOS_WEB="On";
  //Servicio de consulta de notas y faltas:
  $SERVICIO_NOTASFALTAS="Off";
  //Servicio de bolsa de trabajo:
  $SERVICIO_BOLSA="On";
  //Servicio de fotografas de alumnos para la bolsa de trabajo:
  $SERVICIO_BOLSA_FOTOS="Off";
  //Servicio de preguntas ms frecuentes:
  $SERVICIO_FAQ="On";
  //Servicio de preguntas ms frecuentes con formulario de envo:
  $SERVICIO_FAQ_FORMULARIO="Off";
  //Servicio de documentacin:
  $SERVICIO_DOCS="On";
  //Servicio de correo electrnico:
  $SERVICIO_CORREO="On";
  //Servicio de secretara:
  $SERVICIO_SECRETARIA="Off";
  //Servicio de consulta de libros en biblioteca:
  $SERVICIO_BIBLIOTECA="Off";
  //Servicio de consulta de NIE para acceso de alumno:
  $SERVICIO_NIE="On";

  //*Constantes relacionadas con los datos de los alumnos:
  //Cdigos de promocin de los alumnos:
  //CORREGIR ESTO ****************************************************************
  $PROMOCION=array("S"=>"Promociona o propuesta de ttulo.",
                   "N"=>"No promociona o repite.",
                   "2"=>"Promociona a 2.",
                   "P"=>"Promociona con Pendientes.",
                   "F"=>"Promociona a F.C.T.",
                   "T"=>"Promociona a F.C.T. con pendientes.",
                   "E"=>"A convocatoria Extraordinaria.");

  //*Constantes relacionadas con la administracin de usuarios:
  //Cdigo y nombres de los permisos de acceso:
  $PERMISOS=array("00 - Ninguno",
                  "10 - Administrador Bolsa de Trabajo",
                  "11 - Subadministrador Bolsa de Trabajo",
                  "12 - Gestionar empresas registradas en la Bolsa",
                  "13 - Gestionar solicitudes para FCTs",
                  "14 - Consultar alumnos registrados en la Bolsa",
                  "20 - Administrador Servicio FAQ",
                  "30 - Administrador Servicio de Documentacin",
                  "40 - Administrador Tabln de Secretara",
			"50 - Administrador del Servicio de Noticias",
			"60 - Administrador de la Revista Electrnica",
                  "70 - Jefatura de Estudios",
                  "99 - Administrador total");
  //Correspondencia de cdigos a nombres de los permisos de acceso:
  $NOMBRES_PERMISOS=array("00"=>"Ninguno",
                          "10"=>"Administrador Bolsa de Trabajo",
                          "11"=>"Subadministrador Bolsa de Trabajo",
                          "12"=>"Gestionar empresas registradas en la Bolsa",
                          "13"=>"Gestionar solicitudes para FCTs",
                          "14"=>"Consultar alumnos registrados en la Bolsa",
                          "20"=>"Administrador Servicio FAQ",
                          "30"=>"Administrador Servicio Documentacin",
                          "40"=>"Administrador Tabln Secretara",
				  "50"=>"Administrador del Servicio de Noticias",
				  "60"=>"Administrador de la Revista Electrnica",
                          "70"=>"Jefatura de Estudios",
                          "99"=>"Administrador Total");

  //*Constantes relacionadas con las pginas de los departamentos:
  //Nmero mximo de iconos que puede tener cada pgina de cada dpto. (se muestra
  //uno al azar) - NUNCA DEBE SER INFERIOR A 1!!:
  $DEPARTA_MAX_ICONOS=2;
  //Nmero mximo de fotos de aulas que se muestran en las pgs. de cada dpto.:
  $DEPARTA_MAX_FOTOS_AULAS=5;

  //*Constantes del servicio de documentacin:
  //Carpeta donde cuelgan todos los archivos del servicio de documentacin:
  $CARPETA_DOCUMENTACION="profesores";
  //Carpeta donde se guardan los archivos privados de los profesores:
  $CARPETA_PRIVADA="privadas";
  //Carpeta donde se guardan los archivos restringidos de los profesores:
  $CARPETA_RESTRINGIDA="restringidas";
  //Carpeta donde se guardan los datos de consulta solo para profesores:
  $CARPETA_DATOS="datos";
  //Carpeta donde se guardan los archivos pblicos de los profesores:
  $CARPETA_PUBLICA="publicas";
  //Carpeta donde se guardan los archivos pblicos de los profesores que tienen que ver
  //con los departamentos:
  $CARPETA_DEPARTAMENTO="departamentos";

  //*Constantes del tabln de anuncios de secretara:
  //Das que deben transcurrir para que una nueva informacin del tabln de
  //Secretara deje de ser nueva:
  $DIAS_NUEVA=4;
  //Ruta completa donde se guardan los archivos del tabln de Secretara:
  $CARPETA_SECRETARIA="/var/www/secretaria/";
  //Ruta relativa de Apache2 donde se guardan los archivos del tabln de Secretara:
  $CARPETA_SECR_WEB="/secretaria/";

  //*Constantes del servicio de bolsa de trabajo:
  //Estudios excluidos del servicio de Bolsa de Trabajo:
  $EXCLUIDOS_BOLSA=array('ESO','HUM','CNA','TEC','DIV');
  //Ciclos formativos que tienen acceso a la bolsa de trabajo:
  if(($conexion=mysql_connect($EQUIPO_BDD,$USUARIO_BDD,$CONTRASENA_BDD))) {
    mysql_select_db("CENTRO",$conexion);
    $sql="SELECT Nombre,Estudio,Nivel FROM Estudios WHERE Activo>29 ORDER BY Activo";
    $result=mysql_query($sql,$conexion);
    $i=1;
    while(($row=mysql_fetch_row($result))) {
      $CICLOS_NOMBRE[$i]=$row[0];
      $CICLOS_CODIGO[$i]=$row[1];
      $CICLOS_NIVEL[$i]=$row[2];
      $CICLOS_OBTENER_NOMBRE[$row[1]]=$row[0];
      $i++;
    }
    $CICLOS_NOMBRE[0]="Cualquiera";
    $CICLOS_CODIGO[0]="CUAL";
    $CICLOS_NIVEL[0]="";
    $CICLOS_OBTENER_NOMBRE["CUAL"]="Cualquiera";
    //Cerramos la conexin a la base de datos:
    mysql_close($conexion);
  }
  //Horario de trabajo:
  $HORARIO_TRABAJO=array("Indiferente","Maana y tarde","Maana","Tarde");
  //Situaciones de trabajo de los alumnos:
  $SITUACION=array('','EN PARO','TRABAJANDO','ESTUDIANDO');
  //Ubicacin de las fotografas de los alumnos:
  $RAIZ_FOTOS="/var/www/fotos";
  //Ancho en puntos de la fotografa mostrada en el curriculum (se usa para escalar):
  $ESCALA_FOTOS=150;

  //*Constantes relacionadas con el servicio de consulta de n de expediente o NIE:
  //Campos involucrados en la consulta y comprobacin del expediente o NIE del alumno:
  $CONSULTA_NIE_TABLA=array('Nombre','Apellido1','Apellido2','DNI','Fecha_nacimiento',
                            'Localidad_nacimiento','Domicilio','Localidad','Provincia','Codigo_postal',
                            'Telefono','DNI_padre','DNI_madre');
  $CONSULTA_NIE_MOSTRAR=array('Nombre','Primer Apellido','Segundo Apellido','D.N.I.','Fecha de nacimiento',
                              'Localidad de nacimiento','Domicilio','Localidad','Provincia','Cdigo postal',
                              'Telfono','D.N.I. del padre','D.N.I. de la madre');

  //*Constantes relacionadas con el servicio de registro de partes de amonestacin:
  //-Curso acadmico en el que comienza a funcionar este servicio:
  $AMONESTACION_ANNO_INICIAL=2005;
  //-Otras asignaturas especiales donde se puede producir una amonestacin:
  $AMONESTACION_MATERIAS=array('Guardia','Guardia de recreo');
?>
